Subject: Re: [PATCH v7 07/10] ppc64 ftrace: disable profiling for some files

From: Torsten Duwe <[email-masked]>
Date: Wed, 10 Feb 2016 18:50:17 +0100

On Wed, Feb 10, 2016 at 11:33:33AM +1100, Michael Ellerman wrote:
> On Mon, 2016-01-25 at 16:31 +0100, Torsten Duwe wrote:
> 
> > This patch complements the "notrace" attribute for selected functions.
> > It adds -mprofile-kernel to the cc flags to be stripped from the command
> > line for code-patching.o and feature-fixups.o, in addition to "-pg"
> 
> This could probably be folded into patch 5, and the combined patch would be
> "remove -mprofile-kernel in all the same places we remove -pg and for the same
> reasons".

That's right. It has shrunk a lot...

> I can't think of anywhere we would want to disable -pg but not disable
> -mprofile-kernel? Or vice versa.

On patch creation, I had handled them literally, individually. Now they're
blended into CC_FLAGS_FTRACE, which greatly simplified things.

Done.
	Torsten